<?php
/*
*
* @package Admin Greet New Member
* @author Lehrling (forumstyling.bplaced.net)
* @copyright (c) 2017 by Lehrling (forumstyling.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* 
*/

namespace lehrling\admingreetnewmember\event;

/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
    /** @var \phpbb\config\config */
    protected $config;

    /** @var \phpbb\template\template */
    protected $template;

    /** @var \phpbb\user */
    protected $user;

    /**
    * Constructor
    *
    * @param \phpbb\config\config                    $config                    Config object
    * @param \phpbb\template\template                $template                Template object
    * @param \phpbb\user                            $user                    User object
    */
    public function __construct(\phpbb\config\config $config, \phpbb\template\template $template, \phpbb\user $user)
    {
        $this->config        = $config;
        $this->template        = $template;
        $this->user            = $user;
    }

    static public function getSubscribedEvents()
    {
        return array(
            'core.user_setup'                => 'load_language_on_setup',
            'core.page_header_after'        => 'show_newest_member',
			        );
    }

    public function load_language_on_setup($event)
    {
        $lang_set_ext = $event['lang_set_ext'];
        $lang_set_ext[] = array(
            'ext_name'        => 'lehrling/admingreetnewmember',
            'lang_set'        => 'admingreetnewmember',
        );
        $event['lang_set_ext'] = $lang_set_ext;
    }
	
			

    public function show_newest_member($event)
    {
        $this->template->assign_vars(array(
		    'GREET_NEWEST_MEMBER'                     => $this->user->lang('GREET_NEWEST_MEMBER', get_username_string('full', $this->config['newest_user_id'], $this->config['newest_username'], $this->config['newest_user_colour'])),
					            ));
    }
	
	
	
	
}